Bug 726383 - [abrt] system-config-printer-1.3.3-1.fc15: newprinter.py:2715:on_btnNPTLpdProbe_clicked:AttributeError: 'NoneType' object has no attribute 'hide'
Summary: [abrt] system-config-printer-1.3.3-1.fc15: newprinter.py:2715:on_btnNPTLpdPro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eff0e480af9edf7369c11a48a45...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-28 13:02 UTC by Miloslav Trmač
Modified: 2011-08-12 18:19 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.3.5-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-12 10:57:57 UTC
Type: ---


Attachments (Terms of Use)

Description Miloslav Trmač 2011-07-28 13:02:14 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
comment:        Adding a lpr printer
component:      system-config-printer
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         2.6.38.8-35.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        system-config-printer-1.3.3-1.fc15
reason:         newprinter.py:2715:on_btnNPTLpdProbe_clicked:AttributeError: 'NoneType' object has no attribute 'hide'
time:           Thu Jul 28 15:01:41 2011
uid:            500
username:       mitr

backtrace:
:newprinter.py:2715:on_btnNPTLpdProbe_clicked:AttributeError: 'NoneType' object has no attribute 'hide'
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/newprinter.py", line 2715, in on_btnNPTLpdProbe_clicked
:    self.WaitWindow.hide ()
:AttributeError: 'NoneType' object has no attribute 'hide'
:
:Local variables in innermost frame:
:self: <NewPrinterGUI object at 0x1b95190 (newprinter+NewPrinterGUI at 0x1c5e4c0)>
:button: <gtk.Button object at 0x1b95a50 (GtkButton at 0x1c426f0)>
:server: <probe_printer.LpdServer instance at 0x1f08dd0>
:hostname: '192.168.1.250'
:printers: ['lp', 'PORT1', '', 'LPT0_PASSTHRU', 'COM0', 'COM0_PASSTHRU', 'LPT1', 'LPT1_PASSTHRU', 'COM1', 'COM1_PASSTHRU', 'LPT2', 'LPT2_PASSTHRU', 'COM2', 'COM2_PASSTHRU', 'LPT3', 'LPT3_PASSTHRU', 'COM3', 'COM3_PASSTHRU', 'LPT4', 'LPT4_PASSTHRU', 'COM4', 'COM4_PASSTHRU', 'LPT5', 'LPT5_PASSTHRU', 'COM5', 'COM5_PASSTHRU', 'LPT6', 'LPT6_PASSTHRU', 'COM6', 'COM6_PASSTHRU', 'LPT7', 'LPT7_PASSTHRU', 'COM7', 'COM7_PASSTHRU', 'pr0', 'pr1', 'pr2', 'pr3', 'pr4', 'pr5', 'pr6', 'pr7', 'pr8', 'pr9', 'pr10', 'pr11', 'pr12', 'pr13', 'pr14', 'pr15', 'pr16', 'pr17', 'pr18', 'pr19', 'pr20', 'pr21', 'pr22', 'pr23', 'pr24', 'pr25', 'pr26', 'pr27', 'pr28', 'pr29', 'pr30', 'pr31', 'pr32', 'pr33', 'pr34', 'pr35', 'pr36', 'pr37', 'pr38', 'pr39', 'pr40', 'pr41', 'pr42', 'pr43', 'pr44', 'pr45', 'pr46', 'pr47', 'pr48', 'pr49']

Comment 1 Tim Waugh 2011-07-28 14:09:13 UTC
How to reproduce it:

1. Click New to create a new printer
2. Select LPD/LPR Host or Printer
3. In Host enter any valid hostname
4. Click Probe
5. Close the Wait window
6. Close the New Printer dialog
7. Close the main window

Even though the Wait window has been closed, the operation is still in progress.  If the operation finishes after the main window has been closed, self.WaitWindow is None.

Comment 2 Tim Waugh 2011-07-28 15:43:31 UTC
Fixed upstream in commit c25b23c.

Comment 3 Fedora Update System 2011-07-29 16:10:43 UTC
system-config-printer-1.3.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-1.fc15

Comment 4 Fedora Update System 2011-07-31 03:49:20 UTC
Package system-config-printer-1.3.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-02 02:02:02 UTC
Package system-config-printer-1.3.5-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-2.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-08-03 02:30:54 UTC
Package system-config-printer-1.3.5-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-3.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-08-12 10:56:59 UTC
system-config-printer-1.3.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-08-12 18:18:14 UTC
system-config-printer-1.3.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.